let
  pkgs = import <nixpkgs> { };
  inherit (pkgs) lib;

  ourPhp = pkgs.php80.withExtensions ({ all, enabled }: 
    (lib.filter (e: e != all.opcache) enabled)
    ++ (with all; [
      curl
      imagick
      redis
    ]));

in pkgs.mkShell {
  buildInputs = with pkgs; [
    ourPhp
    ourPhp.packages.composer
  ];
}
